Bug 239252 - irc/irssi: Enable by default all OPTIONS that add no dependencies
Summary: irc/irssi: Enable by default all OPTIONS that add no dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kai Knoblich
URL: https://forums.freebsd.org/threads/ir...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-16 16:43 UTC by cm
Modified: 2019-07-22 18:58 UTC (History)
2 users (show)

See Also:
dor.bsd: maintainer-feedback+
kai: merge-quarterly+


Attachments
irc/irssi: Update default options (627 bytes, patch)
2019-07-17 20:46 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cm 2019-07-16 16:43:31 UTC
BOT, DOCS, PROXY, SOCKS, and TRUECOLOR are all options which would add no dependencies.  Enabling them would save users from compiling it themselves:

https://forums.freebsd.org/threads/irssi-and-proxy.34910/
Comment 1 David O'Rourke 2019-07-16 16:47:02 UTC
Sounds like a good idea. I'll submit a patch for this later.
Comment 2 David O'Rourke 2019-07-17 20:46:53 UTC
Created attachment 205852 [details]
irc/irssi: Update default options

This patch updates the irc/irssi defaults to enable all options by default that do not add external depencencies, as suggested.
Comment 3 commit-hook freebsd_committer 2019-07-21 10:54:47 UTC
A commit references this bug:

Author: kai
Date: Sun Jul 21 10:54:08 UTC 2019
New revision: 507042
URL: https://svnweb.freebsd.org/changeset/ports/507042

Log:
  irc/irssi: Enable by default all options that add no dependencies

  * Make all options as default ones that don't introduce further dependencies
    to save users from compiling those features themselves.

  PR:		239252
  Submitted by:	David O'Rourke (maintainer)
  Reported by:	cm@sdf.org
  MFH:		2019Q3

Changes:
  head/irc/irssi/Makefile
Comment 4 Kai Knoblich freebsd_committer 2019-07-21 10:57:52 UTC
Committed to head, thank you both for reporting the issue and submitting the patch!

Just a quick note: I removed the DOCS entry from the default list as the DOCS option is already implicitly set as default.

Still waiting for approval to commit the change to the 2019Q3 branch.
Comment 5 commit-hook freebsd_committer 2019-07-22 18:56:24 UTC
A commit references this bug:

Author: kai
Date: Mon Jul 22 18:55:59 UTC 2019
New revision: 507156
URL: https://svnweb.freebsd.org/changeset/ports/507156

Log:
  MFH: r507042

  irc/irssi: Enable by default all options that add no dependencies

  * Make all options as default ones that don't introduce further dependencies
    to save users from compiling those features themselves.

  PR:		239252
  Submitted by:	David O'Rourke (maintainer)
  Reported by:	cm@sdf.org

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/irc/irssi/Makefile
Comment 6 Kai Knoblich freebsd_committer 2019-07-22 18:58:55 UTC
Committed to the 2019Q3 branch, all done!